[arch-commits] Commit in libxml2/repos (3 files)

Jan de Groot jgc at archlinux.org
Sat Oct 18 06:09:03 EDT 2008


    Date: Saturday, October 18, 2008 @ 06:09:03
  Author: jgc
Revision: 15769

Merged revisions 9831 via svnmerge from 
svn+ssh://svn.archlinux.org/home/svn-packages/libxml2/trunk

........
  r9831 | jgc | 2008-08-19 12:44:52 +0200 (Tue, 19 Aug 2008) | 2 lines
  
  upgpkg: libxml2 2.6.32-3
      Allan broke it.
........

Added:
  libxml2/repos/extra-i686/largefile64.patch
    (from rev 9831, libxml2/trunk/largefile64.patch)
Modified:
  libxml2/repos/extra-i686/	(properties)
  libxml2/repos/extra-i686/PKGBUILD

-------------------+
 PKGBUILD          |   10 ++++++----
 largefile64.patch |   12 ++++++++++++
 2 files changed, 18 insertions(+), 4 deletions(-)


Property changes on: libxml2/repos/extra-i686
___________________________________________________________________
Name: svnmerge-integrated
   - /libxml2/trunk:1-9276
   + /libxml2/trunk:1-15768

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2008-10-18 09:48:08 UTC (rev 15768)
+++ extra-i686/PKGBUILD	2008-10-18 10:09:03 UTC (rev 15769)
@@ -4,19 +4,21 @@
 
 pkgname=libxml2
 pkgver=2.6.32
-pkgrel=2
+pkgrel=3
 pkgdesc="XML parsing library, version 2"
 arch=(i686 x86_64)
 license=('custom')
-depends=('zlib' 'readline')
+depends=('zlib>=1.2.3.3' 'readline>=5.2-8' 'ncurses>=5.6-7')
 makedepends=('python>=2.5')
 options=('!libtool')
-source=(ftp://ftp.xmlsoft.org/${pkgname}/${pkgname}-${pkgver}.tar.gz)
+source=(ftp://ftp.xmlsoft.org/${pkgname}/${pkgname}-${pkgver}.tar.gz
+	largefile64.patch)
 url="http://www.xmlsoft.org/"
-md5sums=('2621d322c16f0257e30f0ff2b13384de')
+md5sums=('2621d322c16f0257e30f0ff2b13384de' '5ad4915665608ebfa5b89f7908467a72')
 
 build() {
   cd ${startdir}/src/${pkgname}-${pkgver}
+  patch -Np1 -i ${srcdir}/largefile64.patch || return 1
   ./configure --prefix=/usr --with-threads --with-history || return 1
   make || return 1
   make DESTDIR=${startdir}/pkg install || return 1

Copied: libxml2/repos/extra-i686/largefile64.patch (from rev 9831, libxml2/trunk/largefile64.patch)
===================================================================
--- extra-i686/largefile64.patch	                        (rev 0)
+++ extra-i686/largefile64.patch	2008-10-18 10:09:03 UTC (rev 15769)
@@ -0,0 +1,12 @@
+--- libxml2-2.6.32.dfsg.orig/libxml.h
++++ libxml2-2.6.32.dfsg/libxml.h
+@@ -13,6 +13,9 @@
+ #ifndef _LARGEFILE_SOURCE
+ #define _LARGEFILE_SOURCE
+ #endif
++#ifndef _LARGEFILE64_SOURCE
++#define _LARGEFILE64_SOURCE
++#endif
+ #ifndef _FILE_OFFSET_BITS
+ #define _FILE_OFFSET_BITS 64
+ #endif




More information about the arch-commits mailing list